package com.agiledeveloper;

import junit.framework.TestCase;

public class MonitorTest extends TestCase
{
    public void testMonitorFileChange()
    {
        // This is after a bit of refactoring.
        AlarmMock alarmMock = new AlarmMock();
        FileSystemChangeMock fileSystemChangeMock = new FileSystemChangeMock();
        FileMonitor m = new FileMonitor(fileSystemChangeMock, alarmMock);

        //m.monitor("C:\temp");

        m.startMonitoringFile("c:\temp");
        m.raiseAlarmOnChange();
        assertFalse(alarmMock.alarmRaised);

        fileSystemChangeMock.fileChanged = true;
        m.raiseAlarmOnChange();

        assertTrue(alarmMock.alarmRaised);
    }

//    public static void main(String[] args)
//    {
//        junit.swingui.TestRunner.run(MonitorTest.class);
//    }
}
